import React, { useState } from "react";

export default function ComponentViewer({ name, children }) {
  const [width, setWidth] = useState(450);

  return (
    <>
      <h1>{name}</h1>
      <label htmlFor="width-slider">Component Width: {width + "px"}</label>
      <input
        type="range"
        id="width-slider"
        name="width-slider"
        value={width}
        min="200"
        max="900"
        onChange={(e) => setWidth(e.target.value)}
      ></input>
      <br />

      {/* Set the container width to the slider definition */}
      <div style={{ width: `${width}px` }}>{children}</div>
    </>
  );
}
